Clicking on add database shows "An error has occurred" (OSX Big Sur)

MACOS Big Sur
Log:
`
Lets launch MindsDB! …

2.22.0
█▀▄▀█ ░▀░ █▀▀▄ █▀▀▄ █▀▀ █▀▀▄ █▀▀▄
█░▀░█ ▀█▀ █░░█ █░░█ ▀▀█ █░░█ █▀▀▄
▀░░░▀ ▀▀▀ ▀░░▀ ▀▀▀░ ▀▀▀ ▀▀▀░ ▀▀▀░
version (2.22.0)
Starting server on http://127.0.0.1:47334

✓ telemetry enabled

S3 Datasource is not available by default. If you wish to use it, please install mindsdb_native[extra_data_sources]
Microsoft SQL Server Datasource is not available by default. If you wish to use it, please install mindsdb_native[extra_data_sources]
Athena Datasource is not available by default. If you wish to use it, please install mindsdb_native[extra_data_sources]
Google Cloud Storage Datasource is not available by default. If you wish to use it, please install mindsdb_native[extra_data_sources]
Versions:

  • lightwood 0.61.1
  • MindsDB_native 2.34.0
  • MindsDB 2.22.0
    Configuration file:
    absent
    Storage path:
    /Users/arsen/.mindsdb/mindsdb/lib/python3.8/site-packages/mindsdb/var/
    http API: starting…
    mysql API: starting…

✓ telemetry enabled

✓ telemetry enabled

S3 Datasource is not available by default. If you wish to use it, please install mindsdb_native[extra_data_sources]
S3 Datasource is not available by default. If you wish to use it, please install mindsdb_native[extra_data_sources]
Microsoft SQL Server Datasource is not available by default. If you wish to use it, please install mindsdb_native[extra_data_sources]
Microsoft SQL Server Datasource is not available by default. If you wish to use it, please install mindsdb_native[extra_data_sources]
Athena Datasource is not available by default. If you wish to use it, please install mindsdb_native[extra_data_sources]
Athena Datasource is not available by default. If you wish to use it, please install mindsdb_native[extra_data_sources]
Google Cloud Storage Datasource is not available by default. If you wish to use it, please install mindsdb_native[extra_data_sources]
Google Cloud Storage Datasource is not available by default. If you wish to use it, please install mindsdb_native[extra_data_sources]
mysql API: started on 47335
http API: started on 47334
ERROR:sqlalchemy.pool.impl.NullPool:Exception during reset or similar
Traceback (most recent call last):
File “/Users/arsen/.mindsdb/mindsdb/lib/python3.8/site-packages/sqlalchemy/pool/base.py”, line 697, in _finalize_fairy
fairy._reset(pool)
File “/Users/arsen/.mindsdb/mindsdb/lib/python3.8/site-packages/sqlalchemy/pool/base.py”, line 893, in _reset
pool._dialect.do_rollback(self)
File “/Users/arsen/.mindsdb/mindsdb/lib/python3.8/site-packages/sqlalchemy/engine/default.py”, line 558, in do_rollback
dbapi_connection.rollback()
sqlite3.ProgrammingError: SQLite objects created in a thread can only be used in that same thread. The object was created in thread id 123145568821248 and this is thread id 123145619189760.
ERROR:sqlalchemy.pool.impl.NullPool:Exception closing connection <sqlite3.Connection object at 0x13ebb2a80>
Traceback (most recent call last):
File “/Users/arsen/.mindsdb/mindsdb/lib/python3.8/site-packages/sqlalchemy/pool/base.py”, line 697, in _finalize_fairy
fairy._reset(pool)
File “/Users/arsen/.mindsdb/mindsdb/lib/python3.8/site-packages/sqlalchemy/pool/base.py”, line 893, in _reset
pool._dialect.do_rollback(self)
File “/Users/arsen/.mindsdb/mindsdb/lib/python3.8/site-packages/sqlalchemy/engine/default.py”, line 558, in do_rollback
dbapi_connection.rollback()
sqlite3.ProgrammingError: SQLite objects created in a thread can only be used in that same thread. The object was created in thread id 123145568821248 and this is thread id 123145619189760.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/Users/arsen/.mindsdb/mindsdb/lib/python3.8/site-packages/sqlalchemy/pool/base.py”, line 270, in _close_connection
self._dialect.do_close(connection)
File “/Users/arsen/.mindsdb/mindsdb/lib/python3.8/site-packages/sqlalchemy/engine/default.py”, line 564, in do_close
dbapi_connection.close()
sqlite3.ProgrammingError: SQLite objects created in a thread can only be used in that same thread. The object was created in thread id 123145568821248 and this is thread id 123145619189760.
`

@arsen3d This is already fixed. Should be deployed today. I will inform you when that is done.

Hi @arsen3d we have released a new version with a fix for this issue. Please, just start MindsDB, it should automatically upgrade to the new version.

Hello @arsen3d did you try with the latest MindsDB version?